Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# InvitationEntity

extends Object
implements Parcelable Invitation

java.lang.Object
↳ | com.google.android.gms.games.multiplayer.InvitationEntity

## Class Overview

Data object representing the data for a multiplayer invitation. This is immutable, and therefore safe to cache or store. Note, however, that the data it represents may grow stale.

This class exists solely to support parceling these objects and should not be used directly.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

From interface com.google.android.gms.games.multiplayer.Invitation

int | INVITATION_TYPE_REAL_TIME | Constant indicating that this invitation is for a real-time room.
int | INVITATION_TYPE_TURN_BASED | Constant indicating that this invitation is for a turn-based match.

Fields
public static final Creator<InvitationEntity> | CREATOR |

Public Methods
int | describeContents()
boolean | equals(Object obj)
Invitation | freeze() Freeze a volatile representation into an immutable representation.
int | getAvailableAutoMatchSlots() Return the maximum number of available automatch slots for this invitation.
long | getCreationTimestamp() Retrieve the server timestamp at which this `Invitation` was created.
Game | getGame() Retrieve the `Game` object that this `Invitation` is associated with.
String | getInvitationId() Retrieve the ID of this `Invitation`.
Participant | getInviter() Retrieve the `Participant` who created this `Invitation`.
ArrayList<Participant> | getParticipants() Retrieve the `Participant`s for this object.
int | getVariant() Retrieve the variant specified for this `Invitation`, if any.
int | hashCode()
boolean | isDataValid() Check to see if this object is valid for use.
String | toString()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

From interface com.google.android.gms.games.multiplayer.Invitation

abstract int | getAvailableAutoMatchSlots() Return the maximum number of available automatch slots for this invitation.
abstract long | getCreationTimestamp() Retrieve the server timestamp at which this `Invitation` was created.
abstract Game | getGame() Retrieve the `Game` object that this `Invitation` is associated with.
abstract String | getInvitationId() Retrieve the ID of this `Invitation`.
abstract int | getInvitationType() Retrieve the type of this `Invitation`.
abstract Participant | getInviter() Retrieve the `Participant` who created this `Invitation`.
abstract int | getVariant() Retrieve the variant specified for this `Invitation`, if any.

From interface com.google.android.gms.games.multiplayer.Participatable

abstract ArrayList<Participant> | getParticipants() Retrieve the `Participant`s for this object.

## Fields

#### public static final Creator<InvitationEntity> CREATOR

## Public Methods

#### public int describeContents ()

#### public boolean equals (Object obj)

#### public Invitation freeze ()

Freeze a volatile representation into an immutable representation. Objects returned from this call are safe to cache.

Note that the output of `freeze` may not be identical to the parent object, but should be equal. In other words:

     Freezable f1 = new Freezable();
     Freezable f2 = f1.freeze();
     f1 == f2 may not be true.
     f1.equals(f2) will be true.

##### Returns

- A concrete implementation of the data object.

#### public int getAvailableAutoMatchSlots ()

Return the maximum number of available automatch slots for this invitation. If automatch criteria were not specified during creation, or if all slots have been filled, this will return 0.

##### Returns

- The maximum number of additional players that can be added to this game.

#### public long getCreationTimestamp ()

Retrieve the server timestamp at which this `Invitation` was created.

##### Returns

- The server timestamp at which this `Invitation` was created.

#### public Game getGame ()

Retrieve the `Game` object that this `Invitation` is associated with.

##### Returns

- `Game` object for this `Invitation`.

#### public String getInvitationId ()

Retrieve the ID of this `Invitation`.

##### Returns

- The ID of this `Invitation`.

#### public Participant getInviter ()

Retrieve the `Participant` who created this `Invitation`.

##### Returns

- The `Participant` who created this `Invitation`.

#### public ArrayList<Participant> getParticipants ()

Retrieve the `Participant`s for this object. This is a list of all Participants applicable to the given object.

##### Returns

- A list of `Participant`s for this object.

#### public int getVariant ()

Retrieve the variant specified for this `Invitation`, if any. A variant is an optional developer-controlled parameter describing the type of game to play. If specified, this value will be a positive integer. If this invitation had no variant specified, returns `ROOM_VARIANT_ANY` or `MATCH_VARIANT_ANY`.

##### Returns

- Variant specified for this invitation, if any.

#### public int hashCode ()

#### public boolean isDataValid ()

Check to see if this object is valid for use. If the object is still volatile, this method will indicate whether or not the object can be safely used. The output of a call to `freeze()` will always be valid.

##### Returns

- whether or not the object is valid for use.

#### public String toString ()

#### public void writeToParcel (Parcel dest, int flags)